<?php

define("FTP_OK", 0);



define("FTP_CANNOT_CONNECT", 1);

define("FTP_CANNOT_LOGIN",   2);

define("FTP_CANNOT_LIST",    3);

define("FTP_CANNOT_WRITE",   4);

define("FTP_CANNOT_READ",    5);



class Ftp {

  var $host;

  var $user;

  var $pass;

  var $dir;

  

  var $stream;

  var $lastError;

  

  var $prefix;

  

  function Ftp($h, $u, $p, $d, $prefix) {

    $this->host = $h;

    $this->user = $u;

    $this->pass = $p;

    $this->dir  = $d;

    

    $this->prefix = $prefix;

  }

  

  function LastErrorString() {

    switch($this->lastError) {

      case FTP_OK:

        return "<li>Všechno proběhlo vpořádku.</li>";

      case FTP_CANNOT_CONNECT:

        return "<li>Nepodařilo se navázat spojení s FTP serverem <b>".$this->host

              ."</b>.</li>";

      case FTP_CANNOT_LOGIN:

        return "<li>Nepodařilo se přihlásit k FTP serveru <b>".$this->host

              ."</b> pod uživatelským jménem <b>".$this->user."</b>.</li>";

      case FTP_CANNOT_LIST:

        return "<li>Nelze spustit příkaz LIST na složku <b>".$this->dir

              ."</b> na FTP serveru <b>".$this->host."</b> pod uživatelským jménem <b>"

              .$this->user."</b>.</li>";

      case FTP_CANNOT_WRITE:

        return "<li>Nelze uploadovat testovací soubor do složky <b>".$this->dir

              ."</b> na FTP serveru <b>".$this->host."</b> pod uživatelským jménem <b>"

              .$this->user."</b>.</li>";

      case FTP_CANNOT_READ:

        return "<li>Nepodařilo se stáhnout testovací soubor ze složky <b>".$this->dir

              ."</b> na FTP serveru <b>".$this->host."</b> pod uživatelským jménem <b>"

              .$this->user."</b>.</li>";                                        

    }

  }

  

  function login() {

    if(!($this->stream = @ftp_connect($this->host))) {

      $this->lastError = FTP_CANNOT_CONNECT;

      return FTP_CANNOT_CONNECT;

    }

    

    if(!@ftp_login($this->stream, $this->user, $this->pass)) {

      $this->lastError = FTP_CANNOT_LOGIN;

      return FTP_CANNOT_LOGIN;

    }

      

    return FTP_OK;

  }

  

  function ListTest() {

    if(!is_array(ftp_nlist($this->stream, $this->dir))) {

      $this->lastError = FTP_CANNOT_LIST;

      return FTP_CANNOT_LIST;

    }

    else return FTP_OK;

  }

  

  function WriteTest($remoteFileName = "write-test.txt") {

    if(!@ftp_put($this->stream, $this->dir."/".$remoteFileName, "./install/write-test.txt", FTP_ASCII)) {

      $this->lastError = FTP_CANNOT_WRITE;

      return FTP_CANNOT_WRITE;

    }

    else return FTP_OK;

  }



  function ReadTest($remoteFileName = "write-test.txt") {

    if(!@ftp_get($this->stream, "./install/tmp/write-test.txt", $this->dir."/".$remoteFileName, FTP_ASCII)) {

      $this->lastError = FTP_CANNOT_READ;

      return FTP_CANNOT_READ;

    }

    else return FTP_OK;    

  }



  function DeleteTestFile($remoteFileName = "write-test.txt") {

    @ftp_delete($this->stream, $this->dir."/".$remoteFileName);

  }

  

  function logout() {

    @ftp_close($this->stream);

  }

  

  function ShowForm() {

    global $_POST;

    

    echo "<table>\n";

    echo "\t<tr>\n";

    echo "\t\t<td>Adresa FTP serveru:</td><td><input type=\"text\" name=\""

        .$this->prefix."_host\" style=\"width:150px\" value=\"".$_POST[$this->prefix."_host"]."\"></td>\n";

    echo "\t</tr><tr>\n";

    echo "\t\t<td>Uživatelské jméno:</td><td><input type=\"text\" name=\""

        .$this->prefix."_user\" style=\"width:150px\" value=\"".$_POST[$this->prefix."_user"]."\"></td>\n";

    echo "\t</tr><tr>\n";

    echo "\t\t<td>Heslo:</td><td><input type=\"password\" name=\""

        .$this->prefix."_pass\" style=\"width:150px\" value=\"".$_POST[$this->prefix."_pass"]."\"></td>\n";

    echo "\t</tr><tr>\n";

    echo "\t\t<td>Vzdálená složka:</td><td><input type=\"text\" name=\""

        .$this->prefix."_dir\" style=\"width:150px\" value=\"".$_POST[$this->prefix."_dir"]."\"></td>\n";

    echo "\t<tr>\n";

    echo "</table>\n";

  }

}



?>

