<h1>Uživatelské složky, DTD</h1>

<div class="main">

<?php

$sectionPassed = false;

if($debug)

  SectionFailure("INSTALLER_DTD");



include "./install/include/writeTest.inc.php";



if(!LoadConfigFile("./install/template.conf.php", $configData))

  ERRMsg("Nepodařilo se načíst soubor ./template.conf.php.");

  

else {    

  if(isset($_POST["sent"])) {

    $configData = ConstSetValue("INP_DIR_SCRIPT",  CorrectPath($_POST["upload_dir_script"]), $configData);

    $configData = ConstSetValue("INP_DIR",         CorrectPath($_POST["upload_dir_user"]), $configData);

    $configData = ConstSetValue("DNL_DIR_SCRIPT",  CorrectPath($_POST["download_dir_script"]), $configData);

    $configData = ConstSetValue("DNL_DIR",         CorrectPath($_POST["download_dir_user"]), $configData);

    $configData = ConstSetValue("DTD_TEMPLATEDIR", CorrectPath($_POST["DTD_dir"]), $configData);

    $configData = ConstSetValue("DTD_IMPLICIT",    CorrectPath($_POST["DTD_implicit_template"]), $configData);                         

    

    if(!StoreConfigFile("./install/template.conf.php", $configData))

      ERRMsg("Nepodařilo se uložit změny v souboru ./template.conf.php.");

  }

  

  else { 

    $_POST["upload_dir_script"]     = ConstGetValue("INP_DIR_SCRIPT",  $configData);

    $_POST["upload_dir_user"]       = ConstGetValue("INP_DIR",         $configData);

    $_POST["download_dir_script"]   = ConstGetValue("DNL_DIR_SCRIPT",  $configData);

    $_POST["download_dir_user"]     = ConstGetValue("DNL_DIR",         $configData);

    $_POST["DTD_dir"]               = ConstGetValue("DTD_TEMPLATEDIR", $configData);            

    $_POST["DTD_implicit_template"] = ConstGetValue("DTD_IMPLICIT",    $configData);        

        

  }

  

  if(strlen($_POST["upload_dir_script"])   > 0 &&  

     strlen($_POST["upload_dir_user"])   > 0 &&

     strlen($_POST["download_dir_script"])   > 0 &&

     strlen($_POST["download_dir_user"])   > 0 &&

     strlen($_POST["DTD_dir"])   > 0 &&                    

     strlen($_POST["DTD_implicit_template"]) > 0) 

  {

    

    //test, jestli zvolene adresare existuji

    $missingFolders = array();

    $missingStr     = "";    

    if(!file_exists($_POST["upload_dir_script"]))   $missingFolders[] = "<li>".$_POST["upload_dir_script"]."</li>";

    if(!file_exists($_POST["download_dir_script"])) $missingFolders[] = "<li>".$_POST["download_dir_script"]."</li>";

    if(!file_exists($_POST["DTD_dir"]))             $missingFolders[] = "<li>".$_POST["DTD_dir"]."</li>";

    if(!file_exists($_POST["DTD_dir"]."/".$_POST["DTD_implicit_template"])) 

      $missingFolders[] = "<li>".$_POST["DTD_implicit_template"]."</li>";

                

    if(count($missingFolders) > 0)

      $missingStr = "Následující adresáře neexistují:<ul>\n"

                  .implode($missingFolders, "\n")."</ul>";



    $untouchableFolders = array();

    $untouchableStr     = "";

    if(!WriteTest($_POST["upload_dir_script"]))   $untouchableFolders[] = "<li>".$_POST["upload_dir_script"]."</li>";

    if(!WriteTest($_POST["download_dir_script"])) $untouchableFolders[] = "<li>".$_POST["download_dir_script"]."</li>";

 

    if(count($untouchableFolders) > 0)

      $untouchableStr = "Do následujících adresářů nelze zapisovat:<ul>\n"

                       .implode($untouchableFolders, "\n")."</ul>\n"

                       ."Nastavte prosím u uvedených složek práva k zápisu na 0777.\n";                



    if(strlen($missingStr) > 0 || strlen($untouchableStr)) 

      ERRMsg(implode(array($missingStr, $untouchableStr), "<br />\n"));

    else {

      $sectionPassed = true;

      OKMsg("Umístění složek bylo úspěšně nastaveno.");

      SectionSuccess("INSTALLER_DTD");

    }

  }

  else if(isset($_POST["sent"])) {

    $missing = array();

    if(strlen($_POST["upload_dir_script"]) == 0) $missing[] = "<li>Cesta ke složce pro upload pro skript</li>";

    if(strlen($_POST["upload_dir_user"]) == 0) $missing[] = "<li>Cesta ke složce pro upload pro uživatele</li>";

    if(strlen($_POST["download_dir_script"]) == 0) $missing[] = "<li>Cesta ke složce pro download pro skript</li>";

    if(strlen($_POST["download_dir_user"]) == 0) $missing[] = "<li>Cesta ke složce pro download pro uživatele</li>";

    if(strlen($_POST["DTD_dir"]) == 0) $missing[] = "<li>Cesta ke složce obsahující šablony DTD</li>";

    if(strlen($_POST["DTD_implicit_template"]) == 0) $missing[] = "<li>Název složky obsahující implicitní šablonu DTD</li>";                        



    ERRMsg("Nevyplnili jste všechny potřebné údaje, chybí:<br />\n<ul>"

          .implode($missing, "\n")."</ul>");

  }

  else {

    echo "Vyplňte prosím všechny následující údaje, žádný z údajů nelze "

        ."vynechat:<br /><br />";

  }

?>

<form method="post" action="install.php?page=<?php echo $_GET["page"]; ?>";>

<table width=460>

  <tr>

    <td colspan=2><h2>Vstupní složky</h2></td>

  </tr><tr>

    <td colspan=2><i>"Cesta ke složce pro skript"</i> určuje umístění, kde se nachází vstupní

    složky jednotlivých uživatelů. Do tohoto umístění musí mít skripty možnost zapisovat.

    Typickým postupem je vytvoření složky s názvem např. <i>"uloziste"</i> v kořenové složce

    úložiště a vytvoření jejích podsložek <i>"upload"</i> a <i>"download"</i>. Pole <i>"Cesta ke složce pro skript"</i>

    pak bude nastaveno jako <i>"./uloziste/upload" a "./uloziste/download"</i>. 

    Systém v uvedených složkách vytvoří podsložku pro každého uživatele.

    <br><br>

    <i>"Cesta ke složce pro uživatele"</i> určuje fiktivní cestu, která se bude uživateli v úložišti 

    zobrazovat místo reálné cesty ke složce. Má tedy pouze informativní charakter, není pro běh úložiště kritická.

    Výhodná je při připojení složky k uživateli např. přes SAMBA Server, pokud má uživatel připojené svoje

    vstupní složky jako <i>"Z:\uloziste\upload"</i> a <i>"Z:\uloziste\download"</i>, může se mu stejná cesta zobrazovat v úložišti.<br><br></td>

  </tr><tr>

    <td colspan=2><b>Vstupní složka pro upload</b></td>

  </tr><tr>  

    <td>Cesta ke složce pro skript:</td>

    <td><input type="text" name="upload_dir_script" value="<?php echo $_POST["upload_dir_script"]; ?>"></td>

  </tr><tr>

    <td>Cesta ke složce pro uživatele:</td>

    <td><input type="text" name="upload_dir_user" value="<?php echo $_POST["upload_dir_user"]; ?>"></td>

  </tr><tr>

    <td colspan=2><b>Vstupní složka pro download</b></td>

  </tr><tr>  

    <td>Cesta ke složce pro skript:</td>

    <td><input type="text" name="download_dir_script" value="<?php echo $_POST["download_dir_script"]; ?>"></td>

  </tr><tr>

    <td>Cesta ke složce pro uživatele:</td>

    <td><input type="text" name="download_dir_user" value="<?php echo $_POST["download_dir_user"]; ?>"></td>   

  </tr><tr>  

    <td colspan=2><br><br><h2>Složky šablon DTD:</h2></td>

  </tr><tr>

    <td colspan=2>Pokud jde o běžnou instalaci úložiště, následující údaje neměňte.<br>&nbsp;</td>

  </tr><tr>  

    <td>Cesta ke složce obsahující šablony DTD:</td>

    <td><input type="text" name="DTD_dir" value="<?php echo $_POST["DTD_dir"]; ?>"></td>

  </tr><tr>

    <td>Název složky obsahující implicitní šablonu DTD:</td>

    <td><input type="text" name="DTD_implicit_template" value="<?php echo $_POST["DTD_implicit_template"]; ?>"></td>        

  </tr>

</table>

<input type="submit" name="sent" value="Uložit">

<?php ButtonNext($_GET["page"]); ?>

</form>

<?php

}

?>

</div>