<?php

  include "./install/include/writeTest.inc.php";

  

  define("PASSED_STR", "<span class=\"passed\">Ano</span>\n");

  define("FAILED_STR", "<span class=\"failed\">Ne</span>\n");

?>

<style>

.passed {

  font-weight: bold;

  color: green;

}

.failed {

  font-weight: bold;

  color: red;

}

</style>

<h1>Kontrola potřebných součástí</h1>

<div class="main">

<?php

if($debug)
    SectionFailure("INSTALLER_CHECKER");


$tests = array(

  "mysql"       => function_exists(mysql_connect),

  "ftp"         => function_exists(ftp_connect),

  "iconv"       => function_exists(iconv),

  

  "root"        => WriteTest("./"),

  "temp"        => WriteTest("./temp"),

  "install_tmp" => WriteTest("./install/tmp"),

  

  "zprava"      => FileWriteTest("./zprava.txt"),

  "state"       => FileWriteTest("./install/state.conf.php"),

  "template"    => FileWriteTest("./install/template.conf.php"),

);



if(implode("", $tests) != "111111111") {

  $sectionPassed = false;

  ErrMsg("Nebyly splněny všechny podmínky nutné pro instalaci.");

}

else {

  $sectionPassed = true;

  OKMsg("Kontrola potřebných součástí proběhla úspěšně.");
  if(FileWriteTest("./install/state.conf.php"))
    SectionSuccess("INSTALLER_CHECKER");

} 



?>

<table width=460>

<tr>

  <td><h2>Konfigurace serveru</h2></td>

</tr><tr>

  <td>Server software:</td>

  <td><?php echo $_SERVER["SERVER_SOFTWARE"]; ?></td>

</tr><tr>

  <td>Rewrite test:</td>

  <td>

    <span id="rwTest" class=""></span>

    <script language="JavaScript" src="./install/js/rewriteTest.js"></script>

    <script language="JavaScript">

    rewriteTest("rwTest");

    </script>

  </td>

</tr><tr>

  <td colspan=2>

    <span id="rewrite-failed-msg" style="display:none">

    Nezdařil se test přepisu URL. Fungování přepisu URL je pro úložiště klíčové.

    Zkontolujte prosím nastavení Apache, zejména přítomnost modulu "mod_rewrite"

    a možnost měnit nastavení serveru pomocí souboru ".htaccess". Pokud používáte

    jiný webový server než Apache, budete muset nastavit přepis URL manuálně.

    </span>

  </td>

</tr><tr>

  <td colspan=2>&nbsp;</td>

</tr><tr>

  <td colspan=2><h2>Konfigurace PHP</h2></td>

</tr><tr>

  <td>Podpora MySQL funkcí:</td>

  <td>

<?php

if($tests["mysql"]) 

  echo PASSED_STR;

else {

  echo FAILED_STR; 

  echo "</td>\n</tr><tr>\n";

  echo "<td colspan=2>Vaše konfigurace PHP nepodporuje MySQL, bude nutno jej "

      ."překompilovat s parametrem <i>--with-mysql</i>.</td>";

}

?>

</tr><tr>

  <td>Podpora FTP funkcí:</td>

  <td><?php

if($tests["ftp"]) 

  echo PASSED_STR;

else {

  echo FAILED_STR; 

  echo "</td>\n</tr><tr>\n";

  echo "<td colspan=2>Vaše konfigurace PHP nepodporuje FTP, bude nutno jej "

      ."překompilovat s parametrem <i>--with-ftp</i>.</td>";

}

?>

</tr><tr>

  <td>Podpora iconv:</td>

  <td><?php

if($tests["iconv"]) 

  echo PASSED_STR;

else {

  echo FAILED_STR; 

  echo "</td>\n</tr><tr>\n";

  echo "<td colspan=2>Vaše konfigurace PHP nepodporuje iconv, bude nutno jej "

      ."překompilovat s parametrem <i>--with-iconv</i>.</td>";

}

?>

</tr><tr>

  <td>&nbsp;</td>

</tr><tr>

  <td colspan=2><h2>Zápis do souborů a složek:</h2></td>

</tr><tr>

  <td colspan=2>Zkontrolujte, zda má skript oprávnění zapisovat do následujících 

  složek a souborů. V opačném případě změňte atributy složky/souboru na 0777, popř.

  můžete rekurzivně změnit práva celé složky obsahují webové rozhraní úložiště.

  <br />&nbsp;</td>

</tr><tr>

  <td>/</td>

  <td><?php echo $tests["root"] ? PASSED_STR : FAILED_STR; ?></td>

</tr><tr>

  <td>/temp</td>

  <td><?php echo $tests["temp"] ? PASSED_STR : FAILED_STR; ?></td>

</tr><tr>

  <td>/install/tmp</td>

  <td><?php echo $tests["install_tmp"] ? PASSED_STR : FAILED_STR; ?></td>  

</tr><tr>

  <td>/zprava.txt</td>

  <td><?php echo $tests["zprava"] ? PASSED_STR : FAILED_STR; ?></td>

</tr><tr>

  <td>/install/state.conf.php</td>

  <td><?php echo $tests["state"] ? PASSED_STR : FAILED_STR; ?></td>

</tr><tr>

  <td>/install/template.conf.php</td>

  <td><?php echo $tests["template"] ? PASSED_STR : FAILED_STR; ?></td>  

</tr><tr>

  <td>&nbsp;</td>

</tr><tr>

  <td>

<?php ButtonNext($_GET["page"]); ?>

</td>

</tr>

</table>

</div>