<h1>Nastavení MySQL</h1>

<div class="main">

<?php



$CHARSETS = array( //indexy jsou charsety pro ICONV

  "UTF-8"      => array(

    "name"    => "Unicode UTF-8",

    "mysql"   => "utf8",

    "collate" => "utf8_czech_ci"),

    

  "cp1250"    => array(

    "name"    => "Windows CP1250",

    "mysql"   => "cp1250",

    "collate" => "cp1250_czech_cs"),

    

  "ISO-8859-2"    => array(

    "name"    => "ISO 8859-2",

    "mysql"   => "latin2",

    "collate" => "latin2_czech_cs"),

);



$CH_REVERSED = array(

  "utf8"   => "UTF-8",

  "cp1250" => "cp1250",

  "latin2" => "ISO-8859-2",

);



function CharsetSelectBox($name) {

  global $CHARSETS;

  echo '<select name="'.$name.'">'."\n";

  foreach($CHARSETS as $charset => $cname) { 

    echo '<option value="'.$charset.'" ';

    if($_POST[$name] == $charset)

      echo 'selected="selected"';

    echo '>'.$cname["name"].'</option>'."\n";

  }

  echo "</select>\n";

}



$sectionPassed = false;

if($debug)

  SectionFailure("INSTALLER_MYSQL");



if(!LoadConfigFile("./install/template.conf.php", $configData))

  ERRMsg("Nepodařilo se načíst soubor ./template.conf.php.");

  

else {    

  if(isset($_POST["sent"])) {

    $configData = ConstSetValue("INP_CHARSET",    $_POST["encoding"], $configData);  

    $configData = ConstSetValue("MYSQL_HOST",     $_POST["host"],     $configData);

    $configData = ConstSetValue("MYSQL_LOGIN",    $_POST["user"],     $configData);

    $configData = ConstSetValue("MYSQL_PWD",      $_POST["pass"],     $configData);

    $configData = ConstSetValue("MYSQL_DATABASE", $_POST["db"],       $configData);

    $configData = ConstSetValue("MYSQL_CHARSET",  $CHARSETS[$_POST["char"]]["mysql"], $configData);

    

    if(!StoreConfigFile("./install/template.conf.php", $configData))

      ERRMsg("Nepodařilo se uložit změny v souboru ./template.conf.php.");

  }

  

  else {

    $_POST["encoding"] = ConstGetValue("INP_CHARSET",     $configData);  

    $_POST["host"]     = ConstGetValue("MYSQL_HOST",      $configData); 

    $_POST["user"]     = ConstGetValue("MYSQL_LOGIN",     $configData); 

    $_POST["pass"]     = ConstGetValue("MYSQL_PWD",       $configData); 

    $_POST["db"]       = ConstGetValue("MYSQL_DATABASE",  $configData); 

    $_POST["char"]     = $CH_REVERSED[ConstGetValue("MYSQL_CHARSET", $configData)];

  }

  

  if(strlen($_POST["encoding"]) > 0 &&

     strlen($_POST["host"])     > 0 &&

     strlen($_POST["user"])     > 0 &&

//     strlen($_POST["pass"]) > 0 &&

     strlen($_POST["db"])       > 0 &&

     strlen($_POST["char"])     > 0) 

  {

    

    //instalace tabulek do databaze

    if(!@mysql_connect($_POST["host"], $_POST["user"], $_POST["pass"]))

      ERRMsg("Nepodařilo se připojit k databázi, zkontrolujte uživatelské jméno,"

            ." heslo a adresu MySQL serveru.");

    else {

      if(!@mysql_select_db($_POST["db"]))

        ERRMsg("Nelze vybrat zvolenou databázi. Zkontrolujte, zda daná databáze"

              ." existuje a zda má uživatel zvolený pro úložiště dostatečná "

              ."práva pro práci s touto databází.");

      else {

        mysql_query("SET NAMES UTF-8");

      

        $d = dir("./install/MySQL");

        $failed = false;

        $failedQueries = array();

        

        while($f = $d->read()) {

          if(substr($f, -4) == ".sql") {

          //if($f != "." && $f != "..") {

            $query = @file_get_contents("./install/MySQL/".$f);

            // $query = str_replace("{%FS_CHARSET%}",    $CHARSETS[$_POST["encoding"]]["mysql"], $query);

            $query = str_replace("{%FS_CHARSET%}",    $CHARSETS[$_POST["char"]]["mysql"], $query);

            $query = str_replace("{%MYSQL_CHARSET%}", $CHARSETS[$_POST["char"]]["mysql"], $query);

            $query = str_replace("{%MYSQL_COLLATE%}", $CHARSETS[$_POST["char"]]["collate"], $query);

        

            mysql_query("DROP TABLE ".str_replace(".sql", "", $f));

        

            if(!@mysql_query($query)) {

              $failed = true;

              $failedQueries[] = $f;

            }

          }

        }

        if(!$failed) {

          $sectionPassed = true;

          OKMsg("MySQL databáze byla úspěšně nastavena.");

          SectionSuccess("INSTALLER_MYSQL");

        }

        else ERRMsg("Nepodařilo se nainstalovat následující tabulky:<br><b>"

                   .implode($failedQueries, ",<br>")."</b>.");

      }

    }

  }

  else if(isset($_POST["sent"])) {

    $missing = array();

    if(strlen($_POST["encoding"]) == 0) $missing[] = "<li>Kódování souborů ve vstupních složkách</li>";    

    if(strlen($_POST["host"]) == 0)     $missing[] = "<li>adresa MySQL serveru</li>";

    if(strlen($_POST["user"]) == 0)     $missing[] = "<li>uživatelské jméno</li>";

    if(strlen($_POST["db"]) == 0)       $missing[] = "<li>jméno databáze</li>";

    if(strlen($_POST["char"]) == 0)     $missing[] = "<li>znaková sada databáze</li>";

                

    ERRMsg("Nevyplnili jste všechny potřebné údaje, chybí:<br />\n<ul>"

          .implode($missing, "\n")."</ul>");

  }

  else {

    echo "Vyplňte prosím všechny následující údaje, žádný z údajů nelze "

        ."vynechat:<br /><br />";

  }

?>

<form method="post" action="install.php?page=<?php echo $_GET["page"]; ?>">

<table width=460>

  <tr>

    <td><b>Znaková sada ve vstupních složkách:</b></td>

    <td><?php CharsetSelectBox("encoding"); ?></td>

  </tr><tr>

    <td colspan=2>Znaková sada, kterou používá Váš systém souborů. Stejná znaková

    sada musí být použita na serveru FTP, kam jsou soubory v úložišti ukládány.<br>&nbsp;</td>

  </tr><tr>    

    <td><b>Znaková sada v MySQL:</b></td>

    <td><?php CharsetSelectBox("char"); ?></td>    

  </tr><tr>

    <td colspan=2>Znaková sada pro uložení dat v MySQL, doporučenou volbou je UTF-8.<br>&nbsp;</td>   

  </tr><tr>

    <td><b>Adresa MySQL serveru:</b></td>

    <td><input type="text" style="width:150px" name="host" value="<?php echo $_POST["host"];?>"></td>

  </tr><tr>

    <td><b>Uživatelské jméno:</b></td> 

    <td><input type="text" style="width:150px" name="user" value="<?php echo $_POST["user"];?>"></td>

  </tr><tr>    

    <td><b>Heslo:</b></td>

    <td><input type="password" style="width:150px" name="pass" value="<?php echo $_POST["pass"];?>"></td>

  </tr><tr>    

    <td><b>Databáze:</b></td>

    <td><input type="text" style="width:150px" name="db" value="<?php echo $_POST["db"]; ?>"></td>

  </tr><tr>

    <td colspan=2>Je vřele doporučeno použít pro úložiště vlastní databázi, tabulky úložiště

    nepoužívají žádný specifický prefix.<br>&nbsp;</td>        

  </tr>

</table>

<input type="submit" name="sent" value="Uložit">

<?php ButtonNext($_GET["page"]); ?>

</form>

<?php

}

?>

</div>